[package]
authors = ["Kevin Lee <Kevin@0x7D.com>"]
edition = "2018"
readme = "README.md"
name = "nixie-clock-in-8"
version = "0.1.0"

[dependencies]
cortex-m = "0.6.0"
cortex-m-rt = "0.6.10"
cortex-m-rtic = "0.5.8"
cortex-m-semihosting = "0.3.3"
tock-registers = "0.7.0"
field-offset = "0.3.4"
stm32l4xx-hal = { version = "0.6.0", features = ["stm32l4x2", "rt"] }

[profile.release]
codegen-units = 1 # better optimizations
debug = true # symbols are nice and they don't increase the size on Flash
lto = true # better optimizations

[[bin]]
name = "nixie-clock-in-8"
path = "src/main.rs"

[[bin]]
name = "nixie-clock-in-8-rtic"
path = "src/main_rtic.rs"